Draft WorkingPlaneProxy/it: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 4: Line 4:
{{GuiCommand/it|Name=Draft SetWorkingPlaneProxy|Name/it=Piano proxy|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Arch]]|MenuLocation=Draft → Utilità → Crea piano di lavoro proxy|SeeAlso=[[Draft SelectPlane/it|Seleziona piano]]}}
{{GuiCommand/it|Name=Draft SetWorkingPlaneProxy|Name/it=Piano proxy|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Arch]]|MenuLocation=Draft → Utilità → Crea piano di lavoro proxy|SeeAlso=[[Draft SelectPlane/it|Seleziona piano]]}}


<div class="mw-translate-fuzzy">
==Descrizione==
==Descrizione==
Questo comando posiziona un oggetto proxy nel documento, posizionato e allineato al corrente [[Draft SelectPlane/it|Piano di lavoro]]. Quando si utilizza il comando [[Draft SelectPlane/it|Piano di lavoro]] con un tale oggetto proxy selezionato, o si fà doppio click su di esso nella vista ad albero, il piano di lavoro viene posizionato e allineato con l'oggetto proxy.
Questo comando posiziona un oggetto Piano proxy allineato al corrente [[Draft SelectPlane/it|Piano di lavoro]].
La posizione della fotocamera e lo stato di visibile o nascosto degli oggetti sono anche memorizzati nell'oggetto Proxy e possono essere ripristinati se sono abilitate le proprietà corrispondenti (vedi sotto).
</div>


This proxy object can be used like a face to quickly change the working plane using the [[Draft SelectPlane]] tool. The camera position and visibility of the objects in the 3D view can be saved in the proxy object, and restored at anytime when the [[Draft SelectPlane]] tool is used.
This proxy object can be used like a face to quickly change the working plane using the [[Draft SelectPlane]] tool. The camera position and visibility of the objects in the 3D view can be saved in the proxy object, and restored at anytime when the [[Draft SelectPlane]] tool is used.

Revision as of 18:09, 20 April 2019

Piano proxy

Posizione nel menu
Draft → Utilità → Crea piano di lavoro proxy
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Seleziona piano

Descrizione

Questo comando posiziona un oggetto Piano proxy allineato al corrente Piano di lavoro.

This proxy object can be used like a face to quickly change the working plane using the Draft SelectPlane tool. The camera position and visibility of the objects in the 3D view can be saved in the proxy object, and restored at anytime when the Draft SelectPlane tool is used.

Three working plane proxies showing different orientations and offsets

Uso

  1. Assicurarsi che il Piano di lavoro sia impostato come si desidera.
  2. Premere Draft -> Utilità -> File:Draft SetWorkingPlaneProxy.png Piano proxy

Notes:

  • The working plane stored in the Proxy object can be restored by double-clicking the object in the tree view, or by selecting the Proxy object and using the Draft SelectPlane button.
  • The position of the camera is stored in the Proxy object upon creation. This position can be updated anytime: zoom, pan and rotate the view as you wish, then right-click the Proxy object in the tree view, and select Write camera position.
  • The visibility state of all objects is also stored in the Proxy object upon creation. This state can be updated anytime: set the VistaVisibility property of the objects to true or false as desired, then right-click the Proxy object in the tree view, and select Write objects state.
  • Plane proxies can be moved and rotated like any other object so that they define the desired working plane. Their visual appearance can also be changed in the property editor.

Proprietà

  • DatiPlacement: Memorizza la posizione di questo Proxy e del piano di lavoro corrispondente
  • VistaDisplay Size: La dimensione dell'oggetto Proxy nella vista 3D
  • VistaArrow Size: La dimensione delle frecce sui 3 assi
  • VistaRestore View: Se true, la posizione della telecamera viene ripristinata attivando questo oggetto con un doppio clic o con Seleziona piano
  • VistaRestore State: Se è true, lo stato di visibilità di tutti gli oggetti nel documento corrente viene ripristinato attivando questo oggetto con un doppio clic o con Seleziona piano

View

  • VistaDisplay Size: specifies both length and width of the proxy object. If the object is created in the tree view but no element is visible in the 3D view, increase this value until it is visible.
  • VistaArrow Size: specifies the size of the arrows indicating the three axes of the plane proxy.
  • VistaRestore View: if it is true the camera position will be restored to the saved position when using the proxy with Draft SelectPlane or by double-clicking on it.
  • VistaRestore State: if it is true the visibility state of all objects will be restored to the saved state when using the proxy with Draft SelectPlane or by double-clicking on it.

Script

Gli oggetti piano di lavoro proxy possono essere creati facilmente in script e macro:

See also: Draft API and FreeCAD Scripting Basics.

Working plane proxy objects can be used in macros and from the Python console by using the following function:

WPProxy = makeWorkingPlaneProxy(placement)
  • Creates a WPProxy object from the given placement which is a FreeCAD.Placement.
    • A placement is defined by a base point, given by its FreeCAD.Vector, and a FreeCAD.Rotation.

The size of the Plane Proxy can be changed by overwriting its ViewObject.DisplaySize and ViewObject.ArrowSize attributes, with units in millimeters.

The Plane Proxy has a "Face" object as its Shape attribute. This face can be used to set the current working plane by calling its alignToFace() method.

Esempio:

import FreeCAD, FreeCADGui, Draft

currentWP = FreeCAD.DraftWorkingPlane
place = currentWP.getPlacement()

WPProxy = Draft.makeWorkingPlaneProxy(place)
WPProxy.ViewObject.DisplaySize = 3000
WPProxy.ViewObject.ArrowSize = 200

YAxis = FreeCAD.Vector(0, 1, 0)
point2 = FreeCAD.Vector(3000, 0, 0)
place2 = FreeCAD.Placement(point2, FreeCAD.Rotation(YAxis, 90))

WPProxy2 = Draft.makeWorkingPlaneProxy(place2)
WPProxy2.ViewObject.DisplaySize = 3000
WPProxy2.ViewObject.ArrowSize = 200

Axis = FreeCAD.Vector(1, 1, 1)
point3 = FreeCAD.Vector(-3000, 3000, 0)
place3 = FreeCAD.Placement(point3, FreeCAD.Rotation(Axis, 90))

WPProxy3 = Draft.makeWorkingPlaneProxy(place3)
WPProxy3.ViewObject.DisplaySize = 3000
WPProxy3.ViewObject.ArrowSize = 200
FreeCAD.ActiveDocument.recompute()

currentWP.alignToFace(WPProxy3.Shape)
FreeCADGui.Snapper.setGrid()